//
//  PLJobView+.swift
//  IOS_study
//
//  Created by CC-star on 2025/7/1.
//

import SwiftUI

extension PLJobView {
   func toggleJobStatus() {
      vm.toggleJobStatus()
      hud.show(isActive ? "上线成功" : "下线成功")//这里是相反的逻辑，应为之前已经反转过一次了
   }
   
   func removeJob() {
      vm.removeJob()
      hud.show("删除成功")
      if !naviPath.isEmpty {
         naviPath.removeLast()
      }
   }
}
